Debian Bug report logs - #647708
qa.debian.org: madison.php missing lenny suite

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Michael Gilbert <michael.s.gilbert@gmail.com>

Date: Sat, 5 Nov 2011 14:06:02 UTC

Severity: important

Tags: wontfix

Merged with 652562

Done: "Thijs Kinkhorst" <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647708; Package qa.debian.org. (Sat, 05 Nov 2011 14:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org. (Sat, 05 Nov 2011 14:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qa.debian.org: madison.php missing lenny suite
Date: Sat, 5 Nov 2011 10:02:41 -0400
package: qa.debian.org
severity: important

Hi,

It seems that the madison.php [0] interface is currently lacking
information about the lenny suite.  However, it seems that
lenny-security is still included.

To reproduce this, try a query like "xpdf", which has a lenny version
as can be seen on its package page [1].

Best wishes,
Mike

[0] http://qa.debian.org/madison.php
[1] http://packages.qa.debian.org/xpdf




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647708; Package qa.debian.org. (Sat, 05 Nov 2011 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 05 Nov 2011 14:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 647708@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 647708@bugs.debian.org
Subject: Re: Bug#647708: qa.debian.org: madison.php missing lenny suite
Date: Sat, 5 Nov 2011 15:16:50 +0100
[Message part 1 (text/plain, inline)]
On Sat, 05 Nov 2011 10:02:41 -0400, Michael Gilbert wrote:

> It seems that the madison.php [0] interface is currently lacking
> information about the lenny suite.  However, it seems that
> lenny-security is still included.

AFAIK madison.php is symlinked or redirected to use UDD [1], and UDD
has dropped the data about etch and lenny recently:
http://lists.debian.org/debian-qa/2011/10/msg00021.html


Cheers,
gregor
 
> [0] http://qa.debian.org/madison.php

[1] http://qa.debian.org/cgi-bin/madison.cgi 

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 647708 652562. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 18 Dec 2011 17:54:12 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Wed, 21 Dec 2011 03:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647708; Package qa.debian.org. (Fri, 30 Dec 2011 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Fri, 30 Dec 2011 07:45:04 GMT) Full text and rfc822 format available.

Message #19 received at 647708@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 647708@bugs.debian.org
Cc: Debian Security Team <team@security.debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#647708: qa.debian.org: madison.php missing lenny suite
Date: Fri, 30 Dec 2011 08:41:51 +0100
[Message part 1 (text/plain, inline)]
Hi,

> > It seems that the madison.php [0] interface is currently lacking
> > information about the lenny suite.  However, it seems that
> > lenny-security is still included.

> AFAIK madison.php is symlinked or redirected to use UDD [1], and UDD\
> has dropped the data about etch and lenny recently:
> http://lists.debian.org/debian-qa/2011/10/msg00021.html

This actually caused a problem: I released a DSA without an update for lenny, 
because from rmadison output I was lead to believe that this package wasn't 
included in lenny at all. rmadison gets rather useless if I can't trust it to 
list all supported suites a package is in.

It seems a bit premature to me to drop the lenny data from UDD while the 
release still and only has one more month of its lifetime to go.

How reversible is this?
If not, perhaps rmadison should use `dak ls` as backend? I'm not convinced 
that this bug needs to be marked as wontfix at this stage, as rmadison now 
makes a promise (that it supplies the output of dak ls) that it can't keep.


Thijs
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647708; Package qa.debian.org. (Tue, 10 Jan 2012 14:02:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas.nussbaum@loria.fr>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 10 Jan 2012 14:02:38 GMT) Full text and rfc822 format available.

Message #24 received at 647708@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas.nussbaum@loria.fr>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: 647708@bugs.debian.org, Debian Security Team <team@security.debian.org>, rhonda@debian.org
Subject: Re: Bug#647708: qa.debian.org: madison.php missing lenny suite
Date: Tue, 10 Jan 2012 14:12:49 +0100
On 30/12/11 at 08:41 +0100, Thijs Kinkhorst wrote:
> Hi,
> 
> > > It seems that the madison.php [0] interface is currently lacking
> > > information about the lenny suite.  However, it seems that
> > > lenny-security is still included.
> 
> > AFAIK madison.php is symlinked or redirected to use UDD [1], and UDD\
> > has dropped the data about etch and lenny recently:
> > http://lists.debian.org/debian-qa/2011/10/msg00021.html
> 
> This actually caused a problem: I released a DSA without an update for lenny, 
> because from rmadison output I was lead to believe that this package wasn't 
> included in lenny at all. rmadison gets rather useless if I can't trust it to 
> list all supported suites a package is in.
> 
> It seems a bit premature to me to drop the lenny data from UDD while the 
> release still and only has one more month of its lifetime to go.
> 
> How reversible is this?
> If not, perhaps rmadison should use `dak ls` as backend? I'm not convinced 
> that this bug needs to be marked as wontfix at this stage, as rmadison now 
> makes a promise (that it supplies the output of dak ls) that it can't keep.

I've re-added oldstable, and disabled Ubuntu imports instead (Ubuntu
Sources+Packages is only imported once a day via cron, instead of at
each mirror push -- samosa is not able to keep up with them anyway)

Hope this helps.
-- 
| Lucas Nussbaum          Assistant professor @ Univ. Nancy 2 |
| lucas.nussbaum@loria.fr                   LORIA / AlGorille |
| http://www.loria.fr/~lnussbau/            +33 3 54 95 86 19 |




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647708; Package qa.debian.org. (Wed, 11 Jan 2012 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 11 Jan 2012 08:36:04 GMT) Full text and rfc822 format available.

Message #29 received at 647708@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: "Lucas Nussbaum" <lucas.nussbaum@loria.fr>
Cc: 647708@bugs.debian.org, "Debian Security Team" <team@security.debian.org>, rhonda@debian.org
Subject: Re: Bug#647708: qa.debian.org: madison.php missing lenny suite
Date: Wed, 11 Jan 2012 09:33:32 +0100
On Tue, January 10, 2012 14:12, Lucas Nussbaum wrote:
> On 30/12/11 at 08:41 +0100, Thijs Kinkhorst wrote:
>> Hi,
>>
>> > > It seems that the madison.php [0] interface is currently lacking
>> > > information about the lenny suite.  However, it seems that
>> > > lenny-security is still included.
>>
>> > AFAIK madison.php is symlinked or redirected to use UDD [1], and UDD\
>> > has dropped the data about etch and lenny recently:
>> > http://lists.debian.org/debian-qa/2011/10/msg00021.html
>>
>> This actually caused a problem: I released a DSA without an update for
>> lenny,
>> because from rmadison output I was lead to believe that this package
>> wasn't
>> included in lenny at all. rmadison gets rather useless if I can't trust
>> it to
>> list all supported suites a package is in.
>>
>> It seems a bit premature to me to drop the lenny data from UDD while the
>> release still and only has one more month of its lifetime to go.
>>
>> How reversible is this?
>> If not, perhaps rmadison should use `dak ls` as backend? I'm not
>> convinced
>> that this bug needs to be marked as wontfix at this stage, as rmadison
>> now
>> makes a promise (that it supplies the output of dak ls) that it can't
>> keep.
>
> I've re-added oldstable, and disabled Ubuntu imports instead (Ubuntu
> Sources+Packages is only imported once a day via cron, instead of at
> each mirror push -- samosa is not able to keep up with them anyway)

Thanks, it would be useful, but it doesn't work for me yet:

$ rmadison coreutils
 coreutils | 8.5-1     | squeeze | source, amd64, armel, i386, ia64,
kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
 coreutils | 8.13-3    | wheezy  | source, amd64, armel, i386, ia64,
kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
 coreutils | 8.13-3    | sid     | source, amd64, armel, hurd-i386, i386,
ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
 coreutils | 8.13-3+b1 | wheezy  | armhf, s390x
 coreutils | 8.13-3+b1 | sid     | armhf, s390x


Thijs




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647708; Package qa.debian.org. (Wed, 11 Jan 2012 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas.nussbaum@loria.fr>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 11 Jan 2012 08:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 647708@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas.nussbaum@loria.fr>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: 647708@bugs.debian.org, Debian Security Team <team@security.debian.org>, rhonda@debian.org
Subject: Re: Bug#647708: qa.debian.org: madison.php missing lenny suite
Date: Wed, 11 Jan 2012 09:41:33 +0100
On 11/01/12 at 09:33 +0100, Thijs Kinkhorst wrote:
> On Tue, January 10, 2012 14:12, Lucas Nussbaum wrote:
> > On 30/12/11 at 08:41 +0100, Thijs Kinkhorst wrote:
> >> Hi,
> >>
> >> > > It seems that the madison.php [0] interface is currently lacking
> >> > > information about the lenny suite.  However, it seems that
> >> > > lenny-security is still included.
> >>
> >> > AFAIK madison.php is symlinked or redirected to use UDD [1], and UDD\
> >> > has dropped the data about etch and lenny recently:
> >> > http://lists.debian.org/debian-qa/2011/10/msg00021.html
> >>
> >> This actually caused a problem: I released a DSA without an update for
> >> lenny,
> >> because from rmadison output I was lead to believe that this package
> >> wasn't
> >> included in lenny at all. rmadison gets rather useless if I can't trust
> >> it to
> >> list all supported suites a package is in.
> >>
> >> It seems a bit premature to me to drop the lenny data from UDD while the
> >> release still and only has one more month of its lifetime to go.
> >>
> >> How reversible is this?
> >> If not, perhaps rmadison should use `dak ls` as backend? I'm not
> >> convinced
> >> that this bug needs to be marked as wontfix at this stage, as rmadison
> >> now
> >> makes a promise (that it supplies the output of dak ls) that it can't
> >> keep.
> >
> > I've re-added oldstable, and disabled Ubuntu imports instead (Ubuntu
> > Sources+Packages is only imported once a day via cron, instead of at
> > each mirror push -- samosa is not able to keep up with them anyway)
> 
> Thanks, it would be useful, but it doesn't work for me yet:
> 
> $ rmadison coreutils
>  coreutils | 8.5-1     | squeeze | source, amd64, armel, i386, ia64,
> kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
>  coreutils | 8.13-3    | wheezy  | source, amd64, armel, i386, ia64,
> kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
>  coreutils | 8.13-3    | sid     | source, amd64, armel, hurd-i386, i386,
> ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
>  coreutils | 8.13-3+b1 | wheezy  | armhf, s390x
>  coreutils | 8.13-3+b1 | sid     | armhf, s390x

UDD only imports stable and oldstable once every 10 mirror pushes,
because the machine cannot keep up otherwise.

I've manually triggered an import, so it should be OK in a couple hours
in the worst case.
-- 
| Lucas Nussbaum          Assistant professor @ Univ. Nancy 2 |
| lucas.nussbaum@loria.fr                   LORIA / AlGorille |
| http://www.loria.fr/~lnussbau/            +33 3 54 95 86 19 |




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647708; Package qa.debian.org. (Wed, 11 Jan 2012 13:24:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas.nussbaum@loria.fr>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 11 Jan 2012 13:24:23 GMT) Full text and rfc822 format available.

Message #39 received at 647708@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas.nussbaum@loria.fr>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: 647708@bugs.debian.org, Debian Security Team <team@security.debian.org>, rhonda@debian.org
Subject: Re: Bug#647708: qa.debian.org: madison.php missing lenny suite
Date: Wed, 11 Jan 2012 14:20:27 +0100
On 11/01/12 at 09:41 +0100, Lucas Nussbaum wrote:
> On 11/01/12 at 09:33 +0100, Thijs Kinkhorst wrote:
> > On Tue, January 10, 2012 14:12, Lucas Nussbaum wrote:
> > > On 30/12/11 at 08:41 +0100, Thijs Kinkhorst wrote:
> > >> Hi,
> > >>
> > >> > > It seems that the madison.php [0] interface is currently lacking
> > >> > > information about the lenny suite.  However, it seems that
> > >> > > lenny-security is still included.
> > >>
> > >> > AFAIK madison.php is symlinked or redirected to use UDD [1], and UDD\
> > >> > has dropped the data about etch and lenny recently:
> > >> > http://lists.debian.org/debian-qa/2011/10/msg00021.html
> > >>
> > >> This actually caused a problem: I released a DSA without an update for
> > >> lenny,
> > >> because from rmadison output I was lead to believe that this package
> > >> wasn't
> > >> included in lenny at all. rmadison gets rather useless if I can't trust
> > >> it to
> > >> list all supported suites a package is in.
> > >>
> > >> It seems a bit premature to me to drop the lenny data from UDD while the
> > >> release still and only has one more month of its lifetime to go.
> > >>
> > >> How reversible is this?
> > >> If not, perhaps rmadison should use `dak ls` as backend? I'm not
> > >> convinced
> > >> that this bug needs to be marked as wontfix at this stage, as rmadison
> > >> now
> > >> makes a promise (that it supplies the output of dak ls) that it can't
> > >> keep.
> > >
> > > I've re-added oldstable, and disabled Ubuntu imports instead (Ubuntu
> > > Sources+Packages is only imported once a day via cron, instead of at
> > > each mirror push -- samosa is not able to keep up with them anyway)
> > 
> > Thanks, it would be useful, but it doesn't work for me yet:
> > 
> > $ rmadison coreutils
> >  coreutils | 8.5-1     | squeeze | source, amd64, armel, i386, ia64,
> > kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> >  coreutils | 8.13-3    | wheezy  | source, amd64, armel, i386, ia64,
> > kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> >  coreutils | 8.13-3    | sid     | source, amd64, armel, hurd-i386, i386,
> > ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> >  coreutils | 8.13-3+b1 | wheezy  | armhf, s390x
> >  coreutils | 8.13-3+b1 | sid     | armhf, s390x
> 
> UDD only imports stable and oldstable once every 10 mirror pushes,
> because the machine cannot keep up otherwise.
> 
> I've manually triggered an import, so it should be OK in a couple hours
> in the worst case.

 coreutils | 6.10-6    | lenny   | source, alpha, amd64, arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
 coreutils | 8.5-1     | squeeze | source, amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
 coreutils | 8.13-3    | wheezy  | source, amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
 coreutils | 8.13-3    | sid     | source, amd64, armel, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
 coreutils | 8.13-3+b1 | wheezy  | armhf, s390x
 coreutils | 8.13-3+b1 | sid     | armhf, s390x

=> fixed
-- 
| Lucas Nussbaum          Assistant professor @ Univ. Nancy 2 |
| lucas.nussbaum@loria.fr                   LORIA / AlGorille |
| http://www.loria.fr/~lnussbau/            +33 3 54 95 86 19 |




Reply sent to "Thijs Kinkhorst" <thijs@debian.org>:
You have taken responsibility. (Wed, 11 Jan 2012 16:12:12 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Wed, 11 Jan 2012 16:12:12 GMT) Full text and rfc822 format available.

Message #44 received at 647708-done@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: "Lucas Nussbaum" <lucas.nussbaum@loria.fr>
Cc: 647708-done@bugs.debian.org, "Debian Security Team" <team@security.debian.org>, rhonda@debian.org
Subject: Re: Bug#647708: qa.debian.org: madison.php missing lenny suite
Date: Wed, 11 Jan 2012 17:10:22 +0100
On Wed, January 11, 2012 14:20, Lucas Nussbaum wrote:
>  coreutils | 6.10-6    | lenny   | source, alpha, amd64, arm, armel, hppa,
> i386, ia64, mips, mipsel, powerpc, s390, sparc
>  coreutils | 8.5-1     | squeeze | source, amd64, armel, i386, ia64,
> kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
>  coreutils | 8.13-3    | wheezy  | source, amd64, armel, i386, ia64,
> kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
>  coreutils | 8.13-3    | sid     | source, amd64, armel, hurd-i386, i386,
> ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
>  coreutils | 8.13-3+b1 | wheezy  | armhf, s390x
>  coreutils | 8.13-3+b1 | sid     | armhf, s390x
>
> => fixed

Thanks! This is really helpful.


Thijs




Reply sent to "Thijs Kinkhorst" <thijs@debian.org>:
You have taken responsibility. (Wed, 11 Jan 2012 16:12:13 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Wiltshire <jmw@debian.org>:
Bug acknowledged by developer. (Wed, 11 Jan 2012 16:12:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Feb 2012 07:34:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:45:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.